<template>
<div class="navbar-custom">
    <div class="container-fluid">
        <ul class="list-unstyled topnav-menu float-right mb-0">
            <li class="dropdown notification-list topbar-dropdown">
                <a class="nav-link dropdown-toggle nav-user mr-0 waves-effect waves-light" href="#" @click.prevent="logout">
                  <i class="fe-log-out"></i>
                  <span>Выход</span>
                </a>
            </li>

        </ul>

        <!-- LOGO -->
        <div class="logo-box">
            <a href="/dashboard" class="logo logo-dark text-center">
                <span class="logo-sm">
                    <img src="/assets/images/logo-sm.png"alt="" height="22">
                    <!-- <span class="logo-lg-text-light">UBold</span> -->
                </span>
                <span class="logo-lg">
                    <img src="/assets/images/logo-dark.png"alt="" height="20">
                    <!-- <span class="logo-lg-text-light">U</span> -->
                </span>
            </a>

            <a href="/dashboard" class="logo logo-light text-center">
                <span class="logo-sm">
                    <img src="/assets/images/logo-sm.png"alt="" height="22">
                </span>
                <span class="logo-lg">
                    <img src="/assets/images/logo-light.png"alt="" height="20">
                </span>
            </a>
        </div>
        <div class="clearfix"></div>
    </div>
</div>
</template>

<script>
export default {
  computed: {
    isLoggedIn() {
      return this.$auth.loggedIn;
    }
  },

  methods: {
    logout() {
      this.$axios.$post('logout')
        .then(resp => {
          this.$auth.logout();
        })
        .catch(errors => {
          console.dir(errors);
        });
    }
  }
}
</script>
